PETSc version 3.15.5
Fix/Edit manual page

# VecTaggerSetType

set the Vec tagger implementation

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecTaggerSetType(VecTagger tagger,VecTaggerType type)

Collective on VecTagger

### Input Parameters

| tagger | - the VecTagger context
| type | - a known method

### Options Database Key

| -vec_tagger_type <type> | - Sets the method; use -help for a list of available methods (for instance, absolute, relative, cdf, or, and)

### Notes

See "include/petscvec.h" for available methods (for instance)

| VECTAGGERABSOLUTE | - tag based on a box of values
| VECTAGGERRELATIVE | - tag based on a box relative to the range of values present in the vector
| VECTAGGERCDF | - tag based on a box in the cumulative distribution of values present in the vector
| VECTAGGEROR | - tag based on the union of a set of VecTagger contexts
| VECTAGGERAND | - tag based on the intersection of a set of other VecTagger contexts

### See Also

VecTaggerType, VecTaggerCreate()

### Level

advanced

### Location

src/vec/vec/utils/tagger/interface/tagger.c

### Examples

src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/ts/tutorials/ex11.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages